Bug 1261988 - fragment and vertex shaders can't decrement variables by 1
fragment and vertex shaders can't decrement variables by 1
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mesa (Show other bugs)
ppc64le Linux
unspecified Severity medium
: rc
: 7.2
Assigned To: Oded Gabbay
Desktop QE
Depends On:
Blocks: 1118366 1252514
  Show dependency treegraph
Reported: 2015-09-10 10:42 EDT by Oded Gabbay
Modified: 2016-05-31 21:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-19 04:08:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 131019 None None None Never

  None (edit)
Description Oded Gabbay 2015-09-10 10:42:15 EDT
Description of problem:
On ppc64le and ppc64 machines that run with software rendering, the shader command to decrement a variable by 1 is never executed. This is because of a bug in the translation between tgsi and llvm ir for ppc64le and ppc64. 

Because this is such a basic command in shaders, it causes a lot of failures when running the piglit test suite

Version-Release number of selected component (if applicable):

How reproducible:
By running various piglit tests. Around 350 tests fail because of this bug. It occurs 100% of the time

Steps to Reproduce:
1. Install piglit
2. Run bin/shader_runner tests/spec/glsl-1.30/execution/fs-decrement-int.shader_test -auto

Actual results:
The program returns "fail"

Expected results:
The program should return "success"
Comment 1 Oded Gabbay 2015-09-16 07:34:56 EDT
Fixed in mesa-10.6.5-2.20150824.el7
Comment 5 errata-xmlrpc 2015-11-19 04:08:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.